<?xml version="1.0" encoding="ISO-8859-1"?>
<document>

  <properties>
    <title>JDeveloper Plugin Properties</title>
    <author email="toby-wan-kenobi@web.de">Tobias Rademacher</author>    
  </properties>

  <body>
    <section name="JDeveloper Maven-Plugin Settings">
      <table>
        <tr><th>Property</th><th>Optional?</th><th>Description</th></tr>
        <tr>
          <td>maven.jdeveloper.workspache</td>
          <td>Yes</td>
          <td>
	     <p>
	     The workspache to which your project belongs. This is used
	     to generate J2EE-Webapp names.		
             </p>
          </td>
        </tr>
        <tr>
          <td>maven.jdeveloper.relative.path</td>
          <td>No</td>
          <td>
	     <p>
	     Stupidly JDeveloper access dependency JAR files with a realtive path.
	     This path points to your $MAVE_HOME directory relative from your
	     JDeveloper Installation directory. Normaly this look like <code>../../</code> 
	     or similar depending where you have installed maven and the JDeveloper IDE.
             </p> 
             <p>
             The complete path of a depending JAR is generate with:
             </p>                      
             <ol>
               <li>maven.jdeveloper.relative.path</li>
               <li>maven.jdeveloper.maven.home</li>
               <li>repository information</li>
            </ol>
          </td>
        </tr>
        <tr>
          <td>maven.jdeveloper.maven.home</td>
          <td>No</td>
          <td>
	     <p>
	     The name of your $MAVEN_HOME directory for instance <code>maven-1.0-beta-7</code>
             </p>  
              <p>
             The complete path of a depending JAR is generate with:
             </p>                      
             <ol>
               <li>maven.jdeveloper.relative.path</li>
               <li>maven.jdeveloper.maven.home</li>
               <li>repository information</li>
            </ol>           
          </td>
        </tr>
        <tr>
          <td>maven.war.final.name</td>
          <td>Yes</td>
          <td>
	     <p>
	     The name of the Web Applicaion (if it is a web app).
             </p>             
          </td>
        </tr>
      </table>
	  <p>
           A good place to set this property is the <code>build.propeties</code> file in <code>user.home</code> directory.
	  </p>
    </section>
  </body>
</document>
